.SUB STATUS EDIT NOLAST BARLOG

.LINE

.IF NOT EXISTS .build-$HOSTNAME~
CMMake BBbuild Directory
B X! l=/tmp/build-`basename \`pwd\``.$ACCOUNT@$HOSTNAME;rm -f .build-$HOSTNAME~;mkdir $l 2>/dev/null;ln -s $l .build-$HOSTNAME~;ln -s `pwd` .build-$HOSTNAME~/.pkgdir
.QUIT
.ENDIF

CMBCbonfigure
C X! cd .build-$HOSTNAME~; ./.pkgdir/configure

CMBCbonfigure with DebuBggbing
G X! cd .build-$HOSTNAME~; ./.pkgdir/configure --enable-debug

CMRebuild Configure (with autoconf)
K X autoconf autoconf/configure.in > configure; chmod 755 configure

.LINE

.IF NOT EXISTS .build-$HOSTNAME~/config.status
.TEXT Please run one of the "Configure" options above.
.ELSE

CMMake BAbll
A S echo >/dev/tty; make -C .build-$HOSTNAME~ 2>&1 | tee /dev/tty

CMMake BDbep
D S echo >/dev/tty; make -C .build-$HOSTNAME~ dep 2>&1 | tee /dev/tty

CMMake BMbake (and BMbenus)
M X make -C .build-$HOSTNAME~ make; echo Making menus; perl ./extra/codemenu.pl src autoconf extra doc; echo Done

CMMake BIbndex
I X make -C .build-$HOSTNAME~ index

CMMake DiBsbt
S X make -C .build-$HOSTNAME~ dist

.VIEWALWAYS autoconf/.sure.cm
CMMake DistcleaBnb
N X! make -C .build-$HOSTNAME~ distclean;rm -r .build-$HOSTNAME~/* .build-$HOSTNAME~/.pkgdir;rmdir /tmp/build-`basename \`pwd\``.$ACCOUNT@$HOSTNAME;rm .build-$HOSTNAME~

.ENDIF

.LINE

CMBVbiew Documentation
V X make -C .build-$HOSTNAME~ doc; lynx -nopause -child doc/index.html

.IF EXISTS .build-$HOSTNAME~

CMSource Documentation
1 X cd .build-$HOSTNAME~; lynx -nopause -child index.html || { echo; echo "Have you run 'make index'?"; sleep 1; }

.LINE

CMRTest Program
T X make -C .build-$HOSTNAME~ check; echo; echo Press ENTER...; read

CMInstaBlbl
L X echo -n "Root "; (echo "make -C .build-$HOSTNAME~ install"; echo) | su

CMPackage SiBzbe
Z S du .build-$HOSTNAME~/*.tar.gz 2>/dev/null || echo "Remember to 'make dist' first..."

.ENDIF
